'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  router.post('/courtAdmin/api/admin/login', controller.home.login);
  router.get('/courtAdmin/api/useradmin', controller.admin.index);
  require('./z_router/menu')(app); // 菜单
  require('./z_router/user')(app); // 用户
  require('./z_router/team')(app); // 团队
  require('./z_router/joinapply')(app); // 加入团队
  require('./z_router/dismissapply')(app); // 解散团队
  require('./z_router/match')(app); // 比赛管理
  require('./z_router/matchteam')(app); // 参赛团队
  require('./z_router/schedule')(app); // 赛程信息
};
